Any ideas why this is happening?

Hi, I've just signed up to WPMUdev and was hoping to use the snapshot plugin. I installed it but when I went to commit the addition of this plugin via Git I got the following error which I've never received before on any plugin: fatal: Not a git repository: wp-content/plugins/snapshot/lib/dash-notices/../../.git/modules/lib/dash-notices

Any ideas why this is happening? Do you have git repo in the plugin files? I can't use the plugin as a result.

Thanks.